# sfepy.base.multiproc_proc module

Multiprocessing functions - using multiprocessing (process based) module.

class sfepy.base.multiproc_proc.MyQueue
  get()
  put(value)

sfepy.base.multiproc_proc.get_dict(name, clear=False, **kwargs)

  Get the remote dictionary.

sfepy.base.multiproc_proc.get_int_value(name, val0=0)

  Get the remote integer value.

sfepy.base.multiproc_proc.get_list(name, clear=False)

  Get the remote list.

sfepy.base.multiproc_proc.get_lock(name)

  Get the global lock.

sfepy.base.multiproc_proc.get_manager()

  Get the multiprocessing manager. If not in the global cache, create a new instance.

  Returns:
    manager manager

      The multiprocessing manager.

sfepy.base.multiproc_proc.get_mpdict_value(mode, key, clear=False)

  Get the item from the global multiprocessing cache.

  Parameters:
    mode str

      The type of the required object.

    key immutable type

      The key of the required object.

    clear bool

      If True, clear the dictionary or list (for modes ‘dict’ and ‘list’).

  Returns:
    value remote object

      The remote object.

sfepy.base.multiproc_proc.get_queue(name)

  Get the global queue.

sfepy.base.multiproc_proc.is_remote_dict(d)

  Return True if ‘d’ is instance.